## ros-noetic-flatland-viz 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(flatland_viz)

# Get the LSB release name (14.04 or 16.04) string into variable ${LSB_RELEASE_VALUE}
FIND_PROGRAM(LSB_RELEASE_EXECUTABLE lsb_release)
EXECUTE_PROCESS(COMMAND ${LSB_RELEASE_EXECUTABLE} -s -r
          OUTPUT_VARIABLE LSB_RELEASE_VALUE
          OUTPUT_STRIP_TRAILING_WHITESPACE)

if(${LSB_RELEASE_VALUE} STREQUAL "14.04")
message("Skipping flatland_viz because it is incompatible with 14.04")
return()
endif()

# Ensure we're using c++11
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rostest
  roscpp
  rviz
  flatland_server
  flatland_msgs
)

##############
## coverage ##
##############

set(COVERAGE "OFF" CACHE STRING "Enable coverage generation.")

message(STATUS "Using COVERAGE: ${COVERAGE}")
if("${COVERAGE}" STREQUAL "ON")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage -fprofile-arcs -ftest-coverage")
endif()

########################
## Ogre Include Stuff ##
########################

find_package(PkgConfig REQUIRED)

pkg_check_modules(OGRE_OV OGRE OGRE-Overlay)

# Old versions of OGRE (pre 1.9) included OGRE-Overlay in the main package
# (i.e. there was no OGRE-Overlay component).  So if the above
# pkg_check_modules() failed, try looking for just OGRE.
if(NOT OGRE_OV_FOUND)
  pkg_check_modules(OGRE_OV REQUIRED OGRE)
endif(NOT OGRE_OV_FOUND)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include ${OGRE_OV_INCLUDE_DIRS}
  CATKIN_DEPENDS roscpp rviz flatland_server
)


###########
## Build ##
###########

include_directories(include ${catkin_INCLUDE_DIRS} ${OGRE_OV_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

## This setting causes Qt's "MOC" generation to happen automatically.
set(CMAKE_AUTOMOC ON)

## This plugin includes Qt widgets, so we must include Qt.
## We'll use the version that rviz used so they are compatible.
if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  ## pull in all required include dirs, define QT_LIBRARIES, etc.
  include(${QT_USE_FILE})
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Widgets)
  ## make target_link_libraries(${QT_LIBRARIES}) pull in all required dependencies
  set(QT_LIBRARIES Qt5::Widgets)
endif()

add_definitions(-DQT_NO_KEYWORDS)

## Declare a C++ executable
add_executable(flatland_viz
  src/flatland_viz_node.cpp
  src/flatland_viz.cpp
  include/flatland_viz/flatland_viz.h
  src/flatland_window.cpp
  include/flatland_viz/flatland_window.h
  src/load_model_dialog.cpp
  include/flatland_viz/load_model_dialog.h
  src/spawn_model_tool.cpp
  include/flatland_viz/spawn_model_tool.h
  src/pause_sim_tool.cpp
  include/flatland_viz/pause_sim_tool.h
)
add_dependencies(flatland_viz ${catkin_EXPORTED_TARGETS})

target_link_libraries(flatland_viz
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
)

add_library(flatland_viz_plugins
  src/load_model_dialog.cpp
  include/flatland_viz/load_model_dialog.h
  src/spawn_model_tool.cpp
  include/flatland_viz/spawn_model_tool.h
  src/pause_sim_tool.cpp
  include/flatland_viz/pause_sim_tool.h)

add_dependencies(flatland_viz_plugins ${catkin_EXPORTED_TARGETS})

target_link_libraries(flatland_viz_plugins
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS flatland_viz flatland_viz_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
   plugin_description.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

endif()

=== debian/changelog ===
ros-noetic-flatland-viz (1.3.3-1focal) focal; urgency=high

  * Merge pull request #95 <https://github.com/avidbots/flatland/issues/95> from avidbots/per-package-licenses
    Per package licenses
  * Contributors: Joseph Duchesne
  * Merge pull request #95 <https://github.com/avidbots/flatland/issues/95> from avidbots/per-package-licenses
    Per package licenses
  * Contributors: Joseph Duchesne
  * Merge pull request #95 <https://github.com/avidbots/flatland/issues/95> from avidbots/per-package-licenses
    Per package licenses
  * Contributors: Joseph Duchesne

 -- Joseph Duchesne <joseph@avidbots.com>  Mon, 06 Feb 2023 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-flatland-viz
Section: misc
Priority: optional
Maintainer: Joseph Duchesne <joseph@avidbots.com>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-flatland-msgs, ros-noetic-flatland-server, ros-noetic-roscpp, ros-noetic-rviz
Homepage: https://bitbucket.org/avidbots/flatland
Standards-Version: 3.9.2

Package: ros-noetic-flatland-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libogre-1.9-dev, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-noetic-flatland-msgs, ros-noetic-flatland-server, ros-noetic-roscpp, ros-noetic-rviz
Description: The flatland gui and visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flatland-viz//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
